Description

Clicking on the mouse scroll (and then keeping it pressed in order to pan in the view), the active tool is executed.
Steps in order to reproduce the bug:
    -  add one layer in a view at least;
    -  select the InfoByPoint tool;
    -  click the mouse scroll on the view.

Result: the InfoByPoint dialog is opened, while it should not be. IMHO the dialog should be opened only clicking on the first button of
the mouse.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3139: La herramienta de ... Closed 01/25/2015

Associated revisions
Revision 41964 - 01/23/2015 06:32 AM - Joaquín  del Cerro Murciano

refs #3127, forzado a que MoveBehavior y PointBehavior (y sus clases deribadas) trabajen unicamente con un boton del raton que es especificado en
la construccion del mismo. Las comprobaciones de que boton se ha pulsado que antes se hacian en los listeners ahora han quedado obsoletas. La
clase MoveWithMiddleButtonBehavior ya no tiene sentido aunque se mantiene como clase de utilidad, y la clase ZoomOutRightButtonListener deberia
dejar de usarse.

Revision 41974 - 01/25/2015 12:09 PM - Joaquín  del Cerro Murciano

refs #3127, refs #3139, modificado el painComponent del MoveBehavior para que no se ejecute si no se estaba pilsando el boton asociado al
behavior (hacia que no se pintasen las lineas de contruccion de por ejemplo la herramienta de seleccion por rectangulo).

Revision 41975 - 01/25/2015 04:13 PM - Joaquín  del Cerro Murciano

refs #3127, refs #3139, modificados el PolygonBehavior y el PolylineBehavior para que pinte correctamente las lineas de construccion (afectaba a
herramientas como medidas de areas o seleccion por poligono)

Revision 41976 - 01/25/2015 05:01 PM - Joaquín  del Cerro Murciano
refs #3127, refs #3139

Revision 41977 - 01/25/2015 05:23 PM - Joaquín  del Cerro Murciano

refs #3127, refs #3139 Modificado el CircleBehavior para que tenga en cuenta el boton del rato que se ha pulsado.

History
#1 - 01/23/2015 06:21 AM - Joaquín  del Cerro Murciano
- Severity changed from Minor to Major
- Target version set to 2.1.0-2265
- Assignee set to Joaquín  del Cerro Murciano

#2 - 01/23/2015 06:45 AM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#3 - 01/23/2015 12:09 PM - Antonio Falciano
- Status changed from Fixed to New

Hi Joaquín,
the bug is fixed only in part in build 2265. If I activate the InfoByPoint it works fine now, but if I activate one of the measure tools (Query area or Query
distance) this one is executed too.

#4 - 01/23/2015 01:08 PM - Antonio Falciano

Another tool that remains activated when clicking on the mouse scroll is the "Select by polygon" one.

#5 - 01/25/2015 10:18 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2265 to 2.1.0-2266

#6 - 01/25/2015 11:30 AM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #3139: La herramienta de "pan" no funciona correctamente. added

#7 - 01/25/2015 05:21 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

He repasado las herramientas:

    -  Informacion de un punto
    -  Seleccion por circulo
    -  Seleccion por rectangulo
    -  Seleccion por poligono
    -  Medir areas
    -  Medir distancias
    -  Edicion mover vertice
    -  Edicion crear rectangulo
    -  Edicion crear circulo
En las herramientas de edicion que he mirado no he teido que tocar nada en el codigo, parece que funcionaban.

En principio parece que mas o menos funcionan. Digo mas o menos  por que si tengo a mitad una operacion, por ejemplo si uso la herramienta de
seleccion por circulo, ya pinche en el centro y solo estoy moviendo el raton de forma que me va repintando el circuo en construccion, si pulso el boton
de la rueda para desplazarme, deja de repintar el circulo y la operacion se queda como a mitad. Ya no pinta ninguna linea de construccion pero al
pulsar otra vez termina la seleccion.

En general intuyo que cualquier herramienta que pinte lineas de construccion durante su ejecucion, si a mitad nos desplazamos con el boton de la
rueda del raton dejara de pintar las lineas de construccion.

Como cosa curiosa, en la de seleccion por circulo, si una vez desplazados y ya habiendo dejad de pintar las lineas de construccion pulsamos con el
boton derecho, que en teoria no deberia hacer nada, reaparecen las lineas de construccion.

Voy a cerrar este ticket, ya que e general las herramientas ya funcionan, y probablemente abra otro ticket explicando el problema de la desaparicio de
las lineas de construccion.

Si se detecta que con alguna otra herramienta hay errores similares preferiria que se abriera un ticket nuevo y se enlazase con este.

#8 - 01/26/2015 09:42 AM - Álvaro Anguix
- Status changed from Fixed to Closed
